Package org.apache.solr.client.solrj.response.schema

## Class SchemaResponse.FieldTypesResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.schema.SchemaResponse.FieldTypesResponse

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`

Enclosing class:
  SchemaResponse

    public static class SchemaResponse.FieldTypesResponse
    extends SolrResponseBase

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
`FieldTypesResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<FieldTypeRepresentation>` `getFieldTypes()`
`void` `setResponse​(NamedList<Object> response)`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### FieldTypesResponse

    public FieldTypesResponse()

### Method Detail

#### setResponse

    public void setResponse​(NamedList<Object> response)

Overrides:
  `setResponse` in class `SolrResponseBase`

#### getFieldTypes

    public List<FieldTypeRepresentation> getFieldTypes()